1. conite's Avatar
    Yeah it is asking me to open game

    Tactile wars

    Posted via CB10
    Shadow Fight 2 works fine. No patching required.

    Google Play Store for BlackBerry 10 [OUTDATED]-img_20151012_183015.png

    PassportSQW100-4/10.3.2.2789
    10-12-15 05:31 PM
  2. dan99x99's Avatar
    Do I need to update the Google id if everything is working correctly? If so, what's the proper way? I just installed the play store yesterday glitch and error free

    Posted via CB10
    10-12-15 05:33 PM
  3. Cobalt232's Avatar
    No need then. But it won't harm. You can just run it as an update.
    10-12-15 05:36 PM
  4. dan99x99's Avatar
    Excuse my ignorance, but how exactly do I do that? I want to make sure I don't screw up, btw, I dropped I little donation for such amazing work, everything is working flawless

    Posted via CB10
    10-12-15 05:45 PM
  5. Cobalt232's Avatar
    Thanks for donating! Just download Blackberry Google ID 2.5 from post 1 to your device, then click on the apk. It will propose an update. That's it.
    10-12-15 05:47 PM
  6. Smokeaire's Avatar
    Tried to download today's update but apk not found on server. Tried in Web View (I'm using Tapatalk), no joy.

    Sent from my Passport using Tapatalk
    10-12-15 06:25 PM
  7. yakov116's Avatar
    Umm wow!
    Google Play Store for BlackBerry 10 [OUTDATED]-img_20151012_193410.png

    Posted via CB10
    10-12-15 06:34 PM
  8. motec bb's Avatar
    Overload?
    Google Play Store for BlackBerry 10 [OUTDATED]-img_20151012_165159.png

    Posted via CB10
    10-12-15 06:52 PM
  9. CanUSIndo's Avatar
    Cobalt232, hopefully you could fix this ASAP
    The requested URL /files/cobalt.blackberry.googleid-2.5.apk was not found on this server.
    10-12-15 07:59 PM
  10. andi-bsd's Avatar
    BlackBerry Google id seems missing.

    Posted via CB10
    10-12-15 10:12 PM
  11. Cobalt232's Avatar
    Uhh my bad, the link was bad. Fixed and downloading works now.
    10-13-15 01:33 AM
  12. My BlackBerry-10's Avatar
    Thanks for donating! Just download Blackberry Google ID 2.5 from post 1 to your device, then click on the apk. It will propose an update. That's it.
    Cobalt232, i want to donate. I have android tablet and carrier billing. Can you make donate application and post to play store so i can easy donate.
    10-13-15 01:53 AM
  13. Cobalt232's Avatar
    Thanks for the idea, but it takes time to write an donation app, and I'm not a vendor on Google Play yet. Maybe some time in the future. But thanks anyway.
    My BlackBerry-10 likes this.
    10-13-15 02:06 AM
  14. ferencziakos's Avatar
    Hi! I've just bought my BB Z10, and did everything like the 1st post said.
    I've just installed some social app-s from play store like: Facebook, Messenger(facebook), Instagram and none of them working.
    Facebook: Instantly quit when i open it
    Messenger: Androidlike error message "The Messenger has stopped working" (or something like this)
    Instagram: Can open it but when i try to log in and the keyboard comes up the app froze down.
    Thanks in advance for your help!
    10-13-15 06:37 AM
  15. conite's Avatar
    Hi! I've just bought my BB Z10, and did everything like the 1st post said.
    I've just installed some social app-s from play store like: Facebook, Messenger(facebook), Instagram and none of them working.
    Facebook: Instantly quit when i open it
    Messenger: Androidlike error message "The Messenger has stopped working" (or something like this)
    Instagram: Can open it but when i try to log in and the keyboard comes up the app froze down.
    Thanks in advance for your help!
    Current Facebook and Messenger apps do not work on a BlackBerry (you need to find old v28.0.0.20.16 and v25.0.0.17.14 respectively - neither of which use Google Play Services, BTW). Instagram works fine and also does not require Google Play Services.

    PassportSQW100-4/10.3.2.2789
    10-13-15 08:03 AM
  16. CoreyGmaN's Avatar
    Wondering if anybody gets this "your device isn't compatible with this version" when trying to install ESPN Fantasy Football from Google play.

    I am running all the newest updates for the three APK's needed before cobalt's Oct 10 releases. I am on a Verizon phone and it happened on the verizon OS10.3.2.556 and now I'm have upgraded to OS 10.3.2.2789. And I am still getting this on my Z30

    Google Play Store for BlackBerry 10 [OUTDATED]-img_20151013_083827.png

    Posted via CB10
    10-13-15 09:27 AM
  17. conite's Avatar
    Wondering if anybody gets this "your device isn't compatible with this version" when trying to install ESPN Fantasy Football from Google play.

    I am running all the newest updates for the three APK's needed before cobalt's Oct 10 releases. I am on a Verizon phone and it happened on the verizon OS10.3.2.556 and now I'm have upgraded to OS 10.3.2.2789. And I am still getting this on my Z30

    Posted via CB10
    Cobalt's solution for installing the Google Play Store on our devices is just that - the ability to login and download properly. It does not provide any additional compatibility to actually run those apps. Our old Android Runtime is getting long in the tooth, and was never foolproof at the best of times.

    The only exception to this is if your app makes use of Google Play Services, in which case, additional tools may provide some relief:
    http://forums.crackberry.com/showthread.php?t=965257

    PassportSQW100-4/10.3.2.2789
    CoreyGmaN likes this.
    10-13-15 09:46 AM
  18. CoreyGmaN's Avatar
    Cobalt's solution for installing the Google Play Store on our devices is just that - the ability to login and download properly. It does not provide any additional compatibility to actually run those apps. Our old Android Runtime is getting long in the tooth, and was never foolproof at the best of times.

    The only exception to this is if your app makes use of Google Play Services, in which case, additional tools may provide some relief:
    Cobalt's official Google Apps landing page - BlackBerry Forums at CrackBerry.com

    PassportSQW100-4/10.3.2.2789
    I do also have the newest version of google play services installed from Cobalt. But with this notification I do not even get the option to try and download the app.
    10-13-15 10:06 AM
  19. Cobalt232's Avatar
    Wondering if anybody gets this "your device isn't compatible with this version" when trying to install ESPN Fantasy Football from Google play.

    I am running all the newest updates for the three APK's needed before cobalt's Oct 10 releases. I am on a Verizon phone and it happened on the verizon OS10.3.2.556 and now I'm have upgraded to OS 10.3.2.2789. And I am still getting this on my Z30

    Posted via CB10
    The app is, as Play states correctly, not compatible with your device. The game requires Android 4.4 or better. You have Android 4.3 runtime.


    The requirements for an app are available on the Google Play website (at the end of the page)
    https://play.google.com/store/apps/d...football&hl=en

    Out of luck...
    CoreyGmaN likes this.
    10-13-15 10:15 AM
  20. a_iverson's Avatar
    Hello everyone.
    Can't open android Facebook and messenger on my q10....
    I could install both app without any problems, but can't open/
    Any sugestions??
    10-13-15 11:40 AM
  21. conite's Avatar
    Hello everyone.
    Can't open android Facebook and messenger on my q10....
    I could install both app without any problems, but can't open/
    Any sugestions??
    See post #4192 right above.

    PassportSQW100-4/10.3.2.2789
    10-13-15 11:50 AM
  22. moderatefello's Avatar
    Can someone be nice and post the patched version of this app.
    Google Play Store for BlackBerry 10 [OUTDATED]-img_20151013_155613.png

    Posted via CB10
    10-13-15 02:57 PM
  23. a_iverson's Avatar
    See post #4192 right above.

    PassportSQW100-4/10.3.2.2789
    Thank's
    10-14-15 12:32 PM
  24. jzajac's Avatar
    Wondering if anybody gets this "your device isn't compatible with this version" when trying to install ESPN Fantasy Football from Google play.

    I am running all the newest updates for the three APK's needed before cobalt's Oct 10 releases. I am on a Verizon phone and it happened on the verizon OS10.3.2.556 and now I'm have upgraded to OS 10.3.2.2789. And I am still getting this on my Z30

    Click image for larger version. 

Name:	IMG_20151013_083827.png 
Views:	1572 
Size:	110.0 KB 
ID:	375679

    Posted via CB10
    I still have the patched apk for the last version that worked on 4.3, it's what I'm using now without problems. If I can find time in the morning I can try and send you a link to it.

    Posted via my Z30 with the CrackBerry App

    EDIT: Why wait, here it is. Hope it helps.

    https://mega.nz/#!YQBVmLzK!oXmK5uLbt...22317J-PKx-tR8
    10-14-15 11:47 PM
  25. rashid_ullah123's Avatar
    hey cobalt if I change my vpn like of canada so then the play store will be like canadian region
    10-15-15 12:04 AM
6,718 ... 166167168169170 ...

Similar Threads

  1. Looking for an app: Task Reports S4BB
    By Lilysterra in forum BlackBerry Bold Series
    Replies: 12
    Last Post: 12-10-19, 06:58 PM
  2. Storage full on BlackBerry Z3
    By Jobin m vadath in forum Ask a Question
    Replies: 20
    Last Post: 11-08-19, 08:42 PM
  3. Chinese KEY2 and Google Play Store and Service?
    By FallStaff in forum Ask a Question
    Replies: 1
    Last Post: 11-06-19, 05:20 PM
  4. BlackBerry Motion software update ACF202 now available
    By CrackBerry News in forum CrackBerry.com News Discussion & Contests
    Replies: 0
    Last Post: 11-06-19, 04:40 PM
  5. Downgrade OS on BlackBerry Z3?
    By Jobin m vadath in forum Ask a Question
    Replies: 3
    Last Post: 11-06-19, 01:50 PM
LINK TO POST COPIED TO CLIPBOARD